package com.gyee.edge.protocol.iec60870;

import java.io.IOException;
import java.util.EventListener;

public interface ServerEventListener extends EventListener {

    void connectionIndication(Connection connection);

    /**
     * This function is only called when an IOException in ServerSocket.accept() occurred which was not forced using
     * ServerSap.stopListening()
     *
     * @param e The IOException caught form ServerSocket.accept()
     */
    void serverStoppedListeningIndication(IOException e);

    void connectionAttemptFailed(IOException e);

}
